﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using C1.C1Excel;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // bind data
        C1GridView1.DataSource = GetData();
        C1GridView1.DataBind();
    }

    // get spreadsheet and load it into C1XLBook
    public C1XLBook LoadSpreadsheet(string relPath)
    {
        C1XLBook book = new C1XLBook();
        book.Load(relPath, FileFormat.OpenXml, true);
        return book;
    }

    // create data from Excel spreadsheet
    public DataTable GetData()
    {
        C1XLBook book = LoadSpreadsheet(Server.MapPath(@"~/ExcelDocuments/Test.xlsx"));
        XLSheet sheet = book.Sheets[0];

        DataTable dt = new DataTable(sheet.Name);

        // create columns based on first row in spreadsheet
        for (int i = 0; i < sheet.Columns.Count; i++)
        {
            dt.Columns.Add(sheet[0, i].Text, typeof(string));
        }

        // load spreadsheet rows into DataTable
        for (int row = 1; row < sheet.Rows.Count; row++)
        {
            DataRow dataRow = dt.NewRow();

            for (int col = 0; col < sheet.Columns.Count; col++)
            {
                var val = sheet.GetCell(row, col).Text;
                dataRow[col] = val;
            }

            dt.Rows.Add(dataRow);
        }

        return dt;
    }
}